Bug 119806 - Optional Proxy setting per account in Kopete
Summary: Optional Proxy setting per account in Kopete
Status: CONFIRMED
Alias: None
Product: kopete
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Mandriva RPMs Linux
: NOR wishlist with 284 votes (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
: 138267 211440 236239 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-01-09 17:41 UTC by Mathieu COUSIN
Modified: 2014-05-23 16:24 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu COUSIN 2006-01-09 17:41:02 UTC
Version:            (using KDE KDE 3.5.0)
Installed from:    Mandriva RPMs
OS:                Linux

Let me present the situation that justify my request.

On one hand, in my company, we have an internal IM system on which I'm connected to with Kopete.
On the other hand, my company provide a Socks Proxy especially for "other IM systems" with the outside world. This specific Socks Proxy is different from other socks proxy I may use or the usual HTTP proxy I use to browse the web.

The result is I would like to be able to specify a proxy setting, different from default, on a "per account basis".

Actually, it seems GAIM has something that looks like what I need (the problem is that I prefer kopete as my IM client...). On each account settings, it presents, in the "Advanced" tab, either "Use Global Proxy Setting" or "No Proxy", "HTTP", "Socks4", ... with dedicated values to this account.

Do you think this is something which could be added in Kopete future releases?
Comment 1 Thiago Macieira 2006-01-09 18:12:16 UTC
It's in my plan.
Comment 2 Lucas Sabalo 2006-10-12 21:28:50 UTC
*** This bug has been confirmed by popular vote. ***
Comment 3 Bartosz Fabianowski 2006-12-03 05:58:46 UTC
*** Bug 138267 has been marked as a duplicate of this bug. ***
Comment 4 Oliver 2007-03-27 11:03:58 UTC
I would like to send all IM traffic over TOR because it makes it much harder for an potential attacker to find relations between me and my contacts.

So you got my vote. I think it should be possible in KDE to select a proxy at least for each application and not just all or nothing.
Comment 5 Armin 2010-01-22 12:44:17 UTC
This bug has been reported at 186872 please vote, the more votes you have more chances that it fixed. Thanks
Comment 6 Dotan Cohen 2010-05-11 20:16:08 UTC
*** Bug 211440 has been marked as a duplicate of this bug. ***
Comment 7 Dotan Cohen 2010-05-11 20:16:12 UTC
*** Bug 236239 has been marked as a duplicate of this bug. ***
Comment 8 Nick Shaforostoff 2010-05-27 09:24:42 UTC
there is only support for socks5 in Qt4 [that I know of].
Comment 9 Thiago Macieira 2010-05-27 09:49:54 UTC
And HTTP. But not SOCKS4.
Comment 10 Nick Shaforostoff 2010-06-16 10:34:26 UTC
SVN commit 1138562 by shaforo:

add UI for proxy parameters configuration to ICQ account preferences dialog.

it will be more obvious to users as to where to configure proxy settings for ICQ.
and it is done the way WLM protocol plugin does.

future plans include:
-proxy requiring authentication
-SOCKS5
-system-wide proxy/account-wide proxy selection

CCBUG: 119806
CCBUG: 186872
CCBUG: 236721




 M  +229 -211  icq/ui/icqeditaccountui.ui  
 M  +17 -2     icq/ui/icqeditaccountwidget.cpp  
 M  +29 -5     oscaraccount.cpp  
 M  +8 -0      oscaraccount.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1138562
Comment 11 Koriun 2010-08-27 07:56:58 UTC
Proxy setting works nice for ICQ (kubuntu 10.04, kde 4.5.0) 

Thanks Kopete Team,

Waiting for proxy setting for other protocols (Gtalk, GG)
Comment 12 Pali Rohár 2014-05-23 16:24:44 UTC
Git commit d6446c6c101f041ba5f3344179ad1270fa5595f1 by Pali Rohár.
Committed on 19/05/2014 at 23:45.
Pushed by pali into branch 'master'.

Add support for SOCKS5 proxy in ICQ protocol

M  +26   -0    protocols/oscar/icq/ui/icqeditaccountui.ui
M  +3    -0    protocols/oscar/icq/ui/icqeditaccountwidget.cpp
M  +7    -1    protocols/oscar/oscaraccount.cpp
M  +3    -0    protocols/oscar/oscaraccount.h

http://commits.kde.org/kopete/d6446c6c101f041ba5f3344179ad1270fa5595f1